"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.projectGenerator = void 0;
const tslib_1 = require("tslib");
const common_1 = require("@nxrocks/common");
const lib_1 = require("./lib");
const index_1 = require("../../index");
const plugin_1 = require("../../graph/plugin");
function projectGenerator(tree, options) {
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        const normalizedOptions = yield (0, lib_1.normalizeOptions)(tree, options);
        yield (0, lib_1.promptAdditionalOptions)(tree, normalizedOptions);
        (0, lib_1.generateProjectConfiguration)(tree, normalizedOptions);
        yield (0, lib_1.generateFlutterProject)(tree, normalizedOptions);
        (0, common_1.addPluginToNxJson)(index_1.NX_FLUTTER_PKG, tree, (0, plugin_1.normalizePluginOptions)());
    });
}
exports.projectGenerator = projectGenerator;
exports.default = projectGenerator;
//# sourceMappingURL=generator.js.map